# Function staticDataSource

- staticDataSource<Data>(
  data: StaticDataSourceData<Data>,
  metadata?: StaticDataSourceMetadata<Data>,
  ): StaticDataSource<Data>

  #### Type Parameters

  - Data

  #### Parameters

  - data: StaticDataSourceData<Data>
  - metadata: StaticDataSourceMetadata<Data> = ...

  #### Returns StaticDataSource<Data>

  - Defined in packages/angular/data-source/src/lib/static.data-source.ts:122